<template>
  <el-drawer
    v-model="visible"
    title="Propiedades"
    direction="rtl"
  >
    <mind-form  v-model="model"
      @submit="onSubmit"
      ref="formulario"
      >
			<template v-slot="{form}" v-if="!isLoading">
        <el-row  >
          <el-col :xs="24" >
            <el-form-item label-width="100px" label="Nombre" prop="name" required>
              <el-input v-model="form.name" style="margin-right:5px"/>
            </el-form-item>
          </el-col>
          <el-col :xs="24" >
            <el-form-item label-width="100px" label="Tipo" prop="name" required>
              <el-input v-model="form.type" readonly style="margin-right:5px"/>
            </el-form-item>
          </el-col>
        </el-row>
        <el-divider>Mapa</el-divider>
        <el-row  >
          <el-col :span="24">
            <el-row>
              <el-col :span="24" >
                <el-form-item label-width="100px" label="Lat" prop="lat" >
                  <el-input readonly v-model="form.lat" style="margin-right:5px"/>
                </el-form-item>
              </el-col>
              <el-col :span="24" >
                <el-form-item label-width="100px" label="Long" prop="lng" >
                  <el-input readonly v-model="form.lng" style="margin-right:5px"/>
                </el-form-item>
              </el-col>
            </el-row>
          </el-col>

        </el-row>

      </template>
    </mind-form>
    <template #footer>
      <div class="dialog-footer">
        <el-button :disabled="!editable" type="primary" @click="$refs.formulario.onSubmit()">
          Guardar Cambios
        </el-button>
      </div>
    </template>

  </el-drawer>
</template>

<script setup>
const model = defineModel({
  type: Object,
})

const visible = defineModel("visible",{
  type: Boolean,
})

const editable = defineModel("editable",{
  type: Boolean,
})


const emit = defineEmits(["submit"])

function onSubmit(v) {
  // model.value = v
  emit("submit", v)
}

</script>